OGRE-Next: Ogre::PlanarReflections::TrackedRenderable Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::PlanarReflections::TrackedRenderable Struct Reference

`#include <OgrePlanarReflections.h>`

## Public Member Functions
| TrackedRenderable (Renderable *_renderable, MovableObject *_movableObject, const Vector3 &_reflNormal, const Vector3 &_renderableCenter)

## Public Attributes
uint32 | hlmsHashes [2]
MovableObject * | movableObject
Vector3 | reflNormal
Renderable * | renderable
Vector3 | renderableCenter

## Constructor & Destructor Documentation

## ◆ TrackedRenderable()

Ogre::PlanarReflections::TrackedRenderable::TrackedRenderable | ( | Renderable * | _renderable,
|  | MovableObject * | _movableObject,
|  | const Vector3 & | _reflNormal,
|  | const Vector3 & | _renderableCenter )
| inline

Parameters

  _renderable | SubItem/SubEntity/etc that will have planar reflections
  _movableObject | Parent of the Renderable (usually Item/Entity/etc, but in some cases the Renderable & MovableObject can be the same class)
  _reflNormal | The predominant normal of the reflection of this Renderable, in local space. We'll use the MovableObject's node transform to convert it to object space. Actors that are close enough and have a direction that resembles enough this reflNormal will be considered.
  _renderableCenter | The center of the Renderable, in local space. We'll use this center to determine how close this Renderable is to each Actor.

References hlmsHashes, movableObject, reflNormal, renderable, and renderableCenter.

## Member Data Documentation

## ◆ hlmsHashes

uint32 Ogre::PlanarReflections::TrackedRenderable::hlmsHashes[2]

Referenced by TrackedRenderable().

## ◆ movableObject

MovableObject* Ogre::PlanarReflections::TrackedRenderable::movableObject

Referenced by TrackedRenderable().

## ◆ reflNormal

Vector3 Ogre::PlanarReflections::TrackedRenderable::reflNormal

Referenced by TrackedRenderable().

## ◆ renderable

Renderable* Ogre::PlanarReflections::TrackedRenderable::renderable

Referenced by TrackedRenderable().

## ◆ renderableCenter

Vector3 Ogre::PlanarReflections::TrackedRenderable::renderableCenter

Referenced by TrackedRenderable().

The documentation for this struct was generated from the following file:

- OgrePlanarReflections.h